# Defines our Vagrant environment
#vagrant-hosts
#

# -*- mode: ruby -*-

# vi: set ft=ruby :


Vagrant.configure("2") do |config|

  config.vm.define :cm do |cm|
	  #cm.ssh.forward_agent = true
      cm.vm.box = "ubuntu/bionic64"
      cm.vm.hostname = "cm"
      cm.vm.provision :hosts, :sync_hosts => true
	    cm.vm.network :private_network, ip: "10.0.15.10"
      cm.vm.provider "virtualbox" do |vb|
        vb.memory = "1400"
      end      
	    cm.vm.provision :shell, path: "bootstrap-mgmt.sh"
  end

  

  
  config.vm.define :web do |web|
      web.vm.box = "ubuntu/bionic64"
      web.vm.hostname = "web"
      web.vm.provision :hosts, :sync_hosts => true
      web.vm.network :private_network, ip: "10.0.15.11"
      web.vm.provider "virtualbox" do |vb|
        vb.memory = "1400"
      end
	    web.vm.provision :shell, inline: 'cat /vagrant/control.pub >> /home/vagrant/.ssh/authorized_keys'	
  end
  
end

